Bug 1266583 - python-markups should depend on python-markdown
python-markups should depend on python-markdown
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-markups (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 13:42 EDT by Giulio 'juliuxpigface'
Modified: 2015-10-09 11:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-markups-0.6.3-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 11:32:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio 'juliuxpigface' 2015-09-25 13:42:26 EDT
Description of problems:
1. python-markups doesn't provide python-markdown
2. python3-markups doesnt' provide python3-markdown

Version-Release number of selected component (if applicable):
python-markups-0.6.3-3.fc23

How reproducible:
Always

Steps to Reproduce (inside a python shell):
1.import markups
2.test_one = markups.MarkdownMarkup()

Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.4/site-packages/markups/markdown.py", line 127, in __init__
    import markdown

Expected results:
1. The installation of python-markups should provide python-markdown
2. The installation of python3-markups should provide python3-markdown

Additional info:
I wrote here only the output taken from a python3 shell, but it's easily reproducible with python2 as well.

Sorry if I didn't report this together with #1265001, but I've just found this other issue.
Comment 1 Mario Blättermann 2015-09-26 16:26:48 EDT
I've built this Python module only as a requirement for Retext. I wasn't aware of runtime dependencies, sorry for that.
Comment 2 Fedora Update System 2015-09-26 16:29:31 EDT
python-markups-0.6.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f439b8219
Comment 3 Fedora Update System 2015-09-27 03:22:35 EDT
python-markups-0.6.3-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-markups'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f439b8219
Comment 4 Fedora Update System 2015-10-09 11:32:43 EDT
python-markups-0.6.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.